﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 268xA CAL ADJ RS-232 /5700
DATE:                  2011-04-21 19:03:42
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       214
CONFIGURATION:         Fluke 5700A
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, VY, DAC, ZY
#@
#@ Model(s) Covered:
#@       2686A
#@
#@ Source:
#@       268XA Data Acquisition System/Data Logging System Service Manual
#@       Document Number: PN 1883791, November 2002
#@
#@ Compatibility:
#@       MET/CAL 7.3 or later
#@
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub UUT RS-232 Connection DTE DB9 (m)
#        Sub Fluke 268xA Setup interface RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub Fluke 268xA Query Identification RS-232
#        Sub Fluke 268xA Modules Identification Query RS-232
#        Sub Fluke 268xA Self Test RS-232
#        Sub Fluke 268xA Cal Enable
#        Sub Fluke 2680A-PAI/FAI DC Volts ADJ RS-232 /5700
#        Sub Fluke 2680A-PAI/FAI AC Volts ADJ RS-232 /5700
#        Sub Fluke 2680A-PAI/FAI 4-Wire Ohms ADJ RS-232 /5700
#        Sub Fluke 2680A-PAI/FAI Frequency ADJ RS-232 /5700
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Measurement RS-232
#        Sub Fluke 268xA Query Response RS-232
#        Sub Fluke 268xA Check Acknowledge Response
#
#  Required Files:
#        268x_UIM_5700_ADJ_V_2W.jpg :
#             5700A to 268xA Universal Input Module Voltage connection
#        268x_UIM_5700_ADJ_Z_4W.jpg :
#             5700A to 268xA Universal Input Module 4-Wire Ohm connection
#        268x_UIM_5700_ADJ_Z_4W_2W.jpg :
#             5700A to 268xA Universal Input Module "2-Wire comp" Ohm con.
#        268x_UIM_ADJ_CON.jpg :
#             Specially Configured Universal Input Module for adjustment con.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5700         1V                           1MH                  S  2W
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V

  1.005  IF           NOT(VERSIONCHECK(7.3))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning

  1.010  HEAD         TEST CONDITIONS
  1.011  DISP         Warm-up time requirement: 30 minutes.
  1.011  DISP         Ambient temperature: 22C - 24C.
  1.011  DISP         Relative humidity: less than 70%.

  1.012  HEAD         COMMUNICATION SETUP
  1.013  TARGET
  1.014  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.015  CALL         Sub Fluke 268xA Setup interface RS-232
  1.016  CALL         Sub Fluke 268xA Query Identification RS-232
  1.017  JMPL         END                          @Abort

  1.024  MATH         L[1] = ZCMPI(@Manufacturer, "Fluke")
  1.025  MATH         L[2] = ZCMPI(@ModelNum, @UUT_Model)

  1.026  IF           NOT(L[1]) || NOT(L[2])
  1.027  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.027  DISP         not a Fluke [V @UUT_Model]!
  1.028  END
  1.029  ENDIF

  1.024  CALL         Sub Fluke 268xA Modules Identification Query RS-232
  1.025  JMPL         END                          @Abort

  1.026  HEAD         EQUIPMENT REQUIREMENTS
  1.027  OPBR         -z Do you want to REVIEW the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
  1.029  DISP         The following additional equipment and/or
  1.029  DISP         accessories are required :
  1.029  DISP
  1.029  DISP         - Fluke 26XXA-100 Universal Input Module
  1.029  DISP         [32] (specially configured for adjustment)
  1.030  ENDIF

  1.031  OPBR         -z Do you wish to review Universal Input Module
  1.031  OPBR         configuration information at this time?

  1.032  IF           MEM1
  1.033  PIC          268x_UIM_ADJ_CON
  1.034  ENDIF

  1.035  DISP         ***************************************************
  1.035  DISP         To reduce noise pickup by test leads, particularly
  1.035  DISP         during High Ohms verification, use shielded test
  1.035  DISP         cables between the Fluke 5700A and the universal
  1.035  DISP         input module.
  1.035  DISP         ***************************************************

  1.036  CALL         Sub Fluke 268xA Self Test RS-232
  1.037  JMPL         END                          @Abort
# Start calibration from the slot 1
  1.038  MATH         ChanNum = 1

  1.039  DO

  1.040  IF           ChanNum == 1
  1.041  MATH         @CalType = @Slot1Type

  1.042  ELSEIF       ChanNum == 2
  1.043  MATH         @CalType = @Slot2Type

  1.044  ELSEIF       ChanNum == 3
  1.045  MATH         @CalType = @Slot3Type

  1.046  ELSEIF       ChanNum == 4
  1.047  MATH         @CalType = @Slot4Type

  1.048  ELSEIF       ChanNum == 5
  1.049  MATH         @CalType = @Slot5Type

  1.050  ELSEIF       ChanNum == 6
  1.051  MATH         @CalType = @Slot6Type
  1.052  ENDIF

# Only the PAI and FAI modules need to be calibrated.
  1.053  IF           ZCMPI(@CalType, "PAI") || ZCMPI(@CalType, "FAI")

  1.054  MATH         @SlotTested = ChanNum
  1.055  CALL         Sub Fluke 268xA Cal Enable

  1.056  IF           NOT(@Abort)
  1.057  CALL         Sub Fluke 2680A-PAI/FAI 4-Wire Ohms ADJ RS-232 /5700
  1.058  ENDIF

  1.059  IF           NOT(@Abort)
  1.060  CALL         Sub Fluke 2680A-PAI/FAI DC Volts ADJ RS-232 /5700
  1.061  ENDIF

  1.062  IF           NOT(@Abort)
  1.063  CALL         Sub Fluke 2680A-PAI/FAI AC Volts ADJ RS-232 /5700
  1.064  ENDIF

  1.065  IF           NOT(@Abort)
  1.066  CALL         Sub Fluke 2680A-PAI/FAI Frequency ADJ RS-232 /5700
  1.067  ENDIF

  1.068  ENDIF

# Slot number increased. Go to next slot calibration.
  1.069  MATH         ChanNum = ChanNum + 1
  1.070  UNTIL        (ChanNum > 6) || @Abort

  1.071  LABEL        END
  1.072  HEAD         -2

  1.073  IF           @Abort
  1.074  HEAD         A D J U S T M E N T  A B O R T E D !
  1.075  ELSE
  1.076  HEAD         A D J U S T M E N T  C O M P L E T E !
  1.077  ENDIF

  1.078  END

